dracut: Update to 038

This commit is contained in:
Michael Tremer
2014-07-27 16:39:56 +02:00
parent f0a61a0aa7
commit 819f72f263
7 changed files with 381 additions and 184 deletions

View File

@@ -1,13 +0,0 @@
diff -Naur dracut-006.org/modules.d/99base/init dracut-006/modules.d/99base/init
--- dracut-006.org/modules.d/99base/init 2010-06-17 10:46:29.000000000 +0200
+++ dracut-006/modules.d/99base/init 2013-10-31 16:51:17.658771341 +0100
@@ -87,6 +87,9 @@
ln -s /proc/self/fd /dev/fd >/dev/null 2>&1
+# create run dir
+mkdir run
+
if getarg rdinitdebug; then
getarg quiet && DRACUT_QUIET="yes"
mkfifo /dev/initlog.pipe

View File

@@ -1,14 +0,0 @@
diff -Naur dracut-006.org/dracut dracut-006/dracut
--- dracut-006.org/dracut 2010-06-17 10:46:29.000000000 +0200
+++ dracut-006/dracut 2010-08-07 21:00:38.000000000 +0200
@@ -308,9 +308,7 @@
#strip -R .comment $note "$f" || :
done
fi
-
-type pigz &>/dev/null && gzip=pigz || gzip=gzip
-( cd "$initdir"; find . |cpio -R 0:0 -H newc -o --quiet |$gzip -9 > "$outfile"; )
+( cd "$initdir"; find . |cpio -R 0:0 -H newc -o --quiet | lzma > "$outfile"; )
if [ $? -ne 0 ]; then
derror "dracut: creation of $outfile failed"
exit 1

View File

@@ -1,21 +0,0 @@
diff -Naur dracut-006.org/modules.d/99base/init dracut-006/modules.d/99base/init
--- dracut-006.org/modules.d/99base/init 2010-06-17 10:46:29.000000000 +0200
+++ dracut-006/modules.d/99base/init 2011-01-12 11:40:41.713190125 +0100
@@ -190,17 +190,6 @@
# no more udev jobs and queues empty.
sleep 0.5
- # dirty hack for some cdrom drives,
- # which report no medium for quiet
- # some time.
- for cdrom in /sys/block/sr*; do
- [ -e "$cdrom" ] || continue
- # skip, if cdrom medium was already found
- strstr "$(udevadm info --query=env --path=${cdrom##/sys})" \
- ID_CDROM_MEDIA && continue
- echo change > "$cdrom/uevent"
- done
-
i=$(($i+1))
[ $i -gt $RDRETRY ] \
&& { flock -s 9 ; emergency_shell "No root device found"; } 9>/.console_lock

View File

@@ -1,12 +0,0 @@
diff -Naur dracut-006.org/modules.d/99base/init dracut-006/modules.d/99base/init
--- dracut-006.org/modules.d/99base/init 2010-06-17 10:46:29.000000000 +0200
+++ dracut-006/modules.d/99base/init 2013-10-31 17:05:09.135475525 +0100
@@ -175,7 +175,7 @@
$UDEV_QUEUE_EMPTY >/dev/null 2>&1 || continue
- modprobe scsi_wait_scan && rmmod scsi_wait_scan
+ sleep 0.1
$UDEV_QUEUE_EMPTY >/dev/null 2>&1 || continue

View File

@@ -1,33 +0,0 @@
diff -Naur org/init new/init
--- init 2010-06-17 10:46:29.000000000 +0200
+++ init 2010-08-10 17:55:41.000000000 +0200
@@ -111,8 +111,9 @@
getarg 'rdbreak=cmdline' && emergency_shell -n cmdline "Break before cmdline"
source_all cmdline
-[ -z "$root" ] && die "No or empty root= argument"
-[ -z "$rootok" ] && die "Don't know how to handle 'root=$root'"
+# Disable root argument check ...
+#[ -z "$root" ] && die "No or empty root= argument"
+#[ -z "$rootok" ] && die "Don't know how to handle 'root=$root'"
# Network root scripts may need updated root= options,
# so deposit them where they can see them (udev purges the env)
@@ -202,12 +203,15 @@
done
i=$(($i+1))
- [ $i -gt $RDRETRY ] \
- && { flock -s 9 ; emergency_shell "No root device found"; } 9>/.console_lock
+ # Start IPFire installer after root was not found ;)
+ [ $i -gt $RDRETRY ] && break 2;
+
done
unset job
unset queuetriggered
+/etc/rc_installer
+
# pre-mount happens before we try to mount the root filesystem,
# and happens once.
getarg 'rdbreak=pre-mount' && emergency_shell -n pre-mount "Break pre-mount"